Package com.ocient.jdbc.proto

## Class PlanProtocol.IncrementingIntOperator.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingIntOperator.Builder>
      - - com.ocient.jdbc.proto.PlanProtocol.IncrementingIntOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.IncrementingIntOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.IncrementingIntOperator

    public static final class PlanProtocol.IncrementingIntOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingIntOperator.Builder>
    implements PlanProtocol.IncrementingIntOperatorOrBuilder

Protobuf type `xg.db.sqlPlans.IncrementingIntOperator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`PlanProtocol.IncrementingIntOperator.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.IncrementingIntOperator` `build()`
`PlanProtocol.IncrementingIntOperator` `buildPartial()`
`PlanProtocol.IncrementingIntOperator.Builder` `clear()`
`PlanProtocol.IncrementingIntOperator.Builder` `clearEnd()` `int32 end = 2;`
`PlanProtocol.IncrementingIntOperator.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PlanProtocol.IncrementingIntOperator.Builder` `clearNullCount()` if null count is N, and the column is nullable, every Nth value will be null (e.g.
`PlanProtocol.IncrementingIntOperator.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PlanProtocol.IncrementingIntOperator.Builder` `clearStart()` `int32 start = 1;`
`PlanProtocol.IncrementingIntOperator.Builder` `clone()`
`PlanProtocol.IncrementingIntOperator` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`int` `getEnd()` `int32 end = 2;`
`int` `getNullCount()` if null count is N, and the column is nullable, every Nth value will be null (e.g.
`int` `getStart()` `int32 start = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`PlanProtocol.IncrementingIntOperator.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PlanProtocol.IncrementingIntOperator.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`PlanProtocol.IncrementingIntOperator.Builder` `mergeFrom​(PlanProtocol.IncrementingIntOperator other)`
`PlanProtocol.IncrementingIntOperator.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.IncrementingIntOperator.Builder` `setEnd​(int value)` `int32 end = 2;`
`PlanProtocol.IncrementingIntOperator.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.IncrementingIntOperator.Builder` `setNullCount​(int value)` if null count is N, and the column is nullable, every Nth value will be null (e.g.
`PlanProtocol.IncrementingIntOperator.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PlanProtocol.IncrementingIntOperator.Builder` `setStart​(int value)` `int32 start = 1;`
`PlanProtocol.IncrementingIntOperator.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingIntOperator.Builder>`

#### clear

    public PlanProtocol.IncrementingIntOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingIntOperator.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingIntOperator.Builder>`

#### getDefaultInstanceForType

    public PlanProtocol.IncrementingIntOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PlanProtocol.IncrementingIntOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PlanProtocol.IncrementingIntOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PlanProtocol.IncrementingIntOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingIntOperator.Builder>`

#### setField

    public PlanProtocol.IncrementingIntOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                 Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingIntOperator.Builder>`

#### clearField

    public PlanProtocol.IncrementingIntOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingIntOperator.Builder>`

#### clearOneof

    public PlanProtocol.IncrementingIntOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingIntOperator.Builder>`

#### setRepeatedField

    public PlanProtocol.IncrementingIntOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                         int index,
                                                                         Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingIntOperator.Builder>`

#### addRepeatedField

    public PlanProtocol.IncrementingIntOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                         Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingIntOperator.Builder>`

#### mergeFrom

    public PlanProtocol.IncrementingIntOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.IncrementingIntOperator.Builder>`

#### mergeFrom

    public PlanProtocol.IncrementingIntOperator.Builder mergeFrom​(PlanProtocol.IncrementingIntOperator other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingIntOperator.Builder>`

#### mergeFrom

    public PlanProtocol.IncrementingIntOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                           throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.IncrementingIntOperator.Builder>`
Throws:
  `IOException`

#### getStart

    public int getStart()

`int32 start = 1;`

Specified by:
  `getStart` in interface `PlanProtocol.IncrementingIntOperatorOrBuilder`
Returns:
  The start.

#### setStart

    public PlanProtocol.IncrementingIntOperator.Builder setStart​(int value)

`int32 start = 1;`

Parameters:
  `value` - The start to set.
Returns:
  This builder for chaining.

#### clearStart

    public PlanProtocol.IncrementingIntOperator.Builder clearStart()

`int32 start = 1;`

Returns:
  This builder for chaining.

#### getEnd

    public int getEnd()

`int32 end = 2;`

Specified by:
  `getEnd` in interface `PlanProtocol.IncrementingIntOperatorOrBuilder`
Returns:
  The end.

#### setEnd

    public PlanProtocol.IncrementingIntOperator.Builder setEnd​(int value)

`int32 end = 2;`

Parameters:
  `value` - The end to set.
Returns:
  This builder for chaining.

#### clearEnd

    public PlanProtocol.IncrementingIntOperator.Builder clearEnd()

`int32 end = 2;`

Returns:
  This builder for chaining.

#### getNullCount

    public int getNullCount()

     if null count is N, and the column is nullable, every Nth
     value will be null (e.g. if null_count is 4, the operator
     will produce NULL, 1, 2, 3, NULL, 5, 6, 7, NULL...)
     If null count is negative, every Nth value will be NOT null
     (e.g. if null_count is -4 the operator will produce
     0, NULL, NULL, NULL, 4, NULL, NULL, NULL, 8...)

`int32 nullCount = 3;`

Specified by:
  `getNullCount` in interface `PlanProtocol.IncrementingIntOperatorOrBuilder`
Returns:
  The nullCount.

#### setNullCount

    public PlanProtocol.IncrementingIntOperator.Builder setNullCount​(int value)

     if null count is N, and the column is nullable, every Nth
     value will be null (e.g. if null_count is 4, the operator
     will produce NULL, 1, 2, 3, NULL, 5, 6, 7, NULL...)
     If null count is negative, every Nth value will be NOT null
     (e.g. if null_count is -4 the operator will produce
     0, NULL, NULL, NULL, 4, NULL, NULL, NULL, 8...)

`int32 nullCount = 3;`

Parameters:
  `value` - The nullCount to set.
Returns:
  This builder for chaining.

#### clearNullCount

    public PlanProtocol.IncrementingIntOperator.Builder clearNullCount()

     if null count is N, and the column is nullable, every Nth
     value will be null (e.g. if null_count is 4, the operator
     will produce NULL, 1, 2, 3, NULL, 5, 6, 7, NULL...)
     If null count is negative, every Nth value will be NOT null
     (e.g. if null_count is -4 the operator will produce
     0, NULL, NULL, NULL, 4, NULL, NULL, NULL, 8...)

`int32 nullCount = 3;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final PlanProtocol.IncrementingIntOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingIntOperator.Builder>`

#### mergeUnknownFields

    public final PlanProtocol.IncrementingIntOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IncrementingIntOperator.Builder>`